Bug 53499 - [RFE] Prompt user on failed network connections to see if they want to retry
[RFE] Prompt user on failed network connections to see if they want to retry
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-09-10 11:33 EDT by GeoffLeach
Modified: 2015-01-07 18:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-20 15:23:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description GeoffLeach 2001-09-10 11:33:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010803

Description of problem:
On a PPP connection, when the connection is dropped and restarted,
up2date hangs.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Start up2date on a PPP connection, start a download
2.kill the connection
3.wait a few minutes and re-establish the connection

Actual Results:  up2date is in a loop (GUI not refreshed)

Expected Results:  After a short period, the GUI should be refreshed and
the download should continue.

Additional info:
Comment 1 Adrian Likins 2001-10-24 18:36:44 EDT
The current version of the client will attempt each network access
five times, with one sec between. 

Making it restart in this circumstance might require that we
block forever whenever we get a network connectivity issue.

It may be possible to inform the user that a network error
has occurred, and allow them to retry. I'll mark it as
an RFE for the next release.
Comment 2 Adrian Likins 2004-08-20 15:23:55 EDT

Note You need to log in before you can comment on or make changes to this bug.